Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request PATCH \
--url https://api.scholarlysoftware.com/api/v1/phone_numbers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "phone_number",
"attributes": {
"custom_fields": {},
"label": "home",
"phone_number": "+14155559012",
"external_id": "EXT-12345",
"effective_from": "2023-12-25"
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/phone_numbers/{id}"
payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "phone_number",
"attributes": {
"custom_fields": {},
"label": "home",
"phone_number": "+14155559012",
"external_id": "EXT-12345",
"effective_from": "2023-12-25"
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'phone_number',
attributes: {
custom_fields: {},
label: 'home',
phone_number: '+14155559012',
external_id: 'EXT-12345',
effective_from: '2023-12-25'
},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/phone_numbers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "phone_number",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"custom_fields": {},
"is_current": true,
"label": "home",
"phone_number": "+14155559012",
"external_id": "EXT-12345",
"effective_from": "2023-12-25",
"effective_to": "2023-12-25"
},
"relationships": {
"user": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"profile": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "profile",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Updates a specific phone number
curl --request PATCH \
--url https://api.scholarlysoftware.com/api/v1/phone_numbers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "phone_number",
"attributes": {
"custom_fields": {},
"label": "home",
"phone_number": "+14155559012",
"external_id": "EXT-12345",
"effective_from": "2023-12-25"
},
"relationships": {}
}
}
'import requests
url = "https://api.scholarlysoftware.com/api/v1/phone_numbers/{id}"
payload = { "data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "phone_number",
"attributes": {
"custom_fields": {},
"label": "home",
"phone_number": "+14155559012",
"external_id": "EXT-12345",
"effective_from": "2023-12-25"
},
"relationships": {}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
type: 'phone_number',
attributes: {
custom_fields: {},
label: 'home',
phone_number: '+14155559012',
external_id: 'EXT-12345',
effective_from: '2023-12-25'
},
relationships: {}
}
})
};
fetch('https://api.scholarlysoftware.com/api/v1/phone_numbers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "phone_number",
"attributes": {
"created_at": "<string>",
"updated_at": "<string>",
"custom_fields": {},
"is_current": true,
"label": "home",
"phone_number": "+14155559012",
"external_id": "EXT-12345",
"effective_from": "2023-12-25",
"effective_to": "2023-12-25"
},
"relationships": {
"user": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "user",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
},
"profile": {
"links": {
"related": "<string>"
},
"meta": {},
"data": {
"type": "profile",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}
}
}
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "<string>",
"title": "<string>",
"detail": "<string>"
}
]
}{
"errors": [
{
"status": "422",
"title": "Validation Error",
"detail": "Label can't be blank"
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer token
Show child attributes
phone number updated
Show child attributes